# PokemonPpUpModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonPpUpModifier

#### Hierarchy (View Summary)

- ConsumablePokemonMoveModifier
  - PokemonPpUpModifier

- Defined in src/modifier/modifier.ts:2248

##### Index

### Constructors

constructor

### Properties

moveIndex
pokemonId
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new PokemonPpUpModifier(
  type: ModifierType ,
  pokemonId: number,
  moveIndex: number,
  upPoints: number,
  ): PokemonPpUpModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number
  - moveIndex: number
  - upPoints: number

  #### Returns PokemonPpUpModifier

  Overrides ConsumablePokemonMoveModifier.constructor

  - Defined in src/modifier/modifier.ts:2251

## Properties

### moveIndex

moveIndex: number

Inherited from ConsumablePokemonMoveModifier.moveIndex

- Defined in src/modifier/modifier.ts:2189

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonMoveModifier.pokemonId

- Defined in src/modifier/modifier.ts:2050

### type

type: ModifierType

Inherited from ConsumablePokemonMoveModifier.type

- Defined in src/modifier/modifier.ts:159

## Methods

### add

- add(_modifiers: Modifier []): boolean

  #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonMoveModifier.add

  - Defined in src/modifier/modifier.ts:277

### apply

- apply(playerPokemon: PlayerPokemon ): boolean

  Applies PokemonPpUpModifier

  #### Parameters

  - playerPokemon: PlayerPokemon

    The `PlayerPokemon` that gets a pp up on move-slot `moveIndex`

  #### Returns boolean

  Overrides ConsumablePokemonMoveModifier.apply

  - Defined in src/modifier/modifier.ts:2262

### getPokemon

- getPokemon(): undefined | PlayerPokemon

  #### Returns undefined | PlayerPokemon

  Inherited from ConsumablePokemonMoveModifier.getPokemon

  - Defined in src/modifier/modifier.ts:2075

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonMoveModifier.match

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(playerPokemon?: PlayerPokemon , ..._args: unknown[]): boolean

  Checks if `ConsumablePokemonModifier` should be applied

  #### Parameters

  - `Optional` playerPokemon: PlayerPokemon

    The `PlayerPokemon` that consumes the item

  - ..._args: unknown[]

    N/A

  #### Returns boolean

  `true` if `ConsumablePokemonModifier` should be applied

  Inherited from ConsumablePokemonMoveModifier.shouldApply

  - Defined in src/modifier/modifier.ts:2064